import { SetStateAction } from 'react';
import type { FloatingContext } from './types';
declare type Delay = number | Partial<{
    open: number;
    close: number;
}>;
interface GroupState {
    delay: Delay;
    initialDelay: Delay;
    currentId: any;
}
export declare const useGroupContext: () => GroupState & {
    setCurrentId: (currentId: any) => void;
    setState: React.Dispatch<SetStateAction<GroupState>>;
};
export declare const FloatingGroup: React.FC<{
    delay: Delay;
}>;
interface UseGroupOptions {
    id: any;
}
export declare const useGroup: ({ open, onOpenChange }: FloatingContext, { id }: UseGroupOptions) => void;
export {};
