import { MutableRefObject } from 'react';
import type { ElementProps, FloatingContext } from '../types';
interface Options {
    modal: boolean;
    order: Array<'reference' | 'floating' | 'content'>;
    initialContentFocus: number | MutableRefObject<HTMLElement | null>;
    inert: boolean;
    scrollLock: 'auto' | boolean;
}
export declare const useFocusTrap: ({ open, refs, treeRef, nodeRef, onOpenChange }: FloatingContext, { initialContentFocus, order, modal, inert, scrollLock, }?: Partial<Options>) => ElementProps;
export {};
