import type { ElementProps, FloatingContext } from '../types';
export declare function getDelay(value: Options['delay'], prop: 'open' | 'close'): number;
export interface Options {
    handleLeave: null | ((context: FloatingContext & {
        onClose: () => void;
    }) => (event: PointerEvent) => void);
    pointerRestMs: number;
    delay: number | Partial<{
        open: number;
        close: number;
    }>;
    mouseOnly: boolean;
}
export declare const useHover: (context: FloatingContext, { delay, handleLeave, mouseOnly, pointerRestMs, }?: Partial<Options>) => ElementProps;
