import React from 'react';
import type { ElementProps, FloatingContext } from '../types';
export interface Options {
    listRef: React.MutableRefObject<Array<string | null>>;
    onMatch: (index: number) => void;
    debounceMs?: number;
    ignoreKeys?: Array<string>;
}
export declare const useTypeahead: (context: FloatingContext, { listRef, onMatch, debounceMs, ignoreKeys }: Options) => ElementProps;
