import React from 'react';
import type { ElementProps, FloatingContext } from '../types';
interface Options {
    listRef: React.MutableRefObject<Array<HTMLElement | null>>;
    activeIndex?: number | null;
    selectedIndex?: number | null;
    loop?: boolean;
    nested?: boolean;
    rtl?: boolean;
    preventScroll?: boolean;
    onNavigate?: (index: number) => void;
}
export declare const useListNavigation: ({ open, onOpenChange, refs }: FloatingContext, { listRef, activeIndex, selectedIndex, loop, nested, rtl, preventScroll, onNavigate, }: Options) => ElementProps;
export {};
